Transcend Docs
API referenceData subject request

List request identifiers

POST
/v1/request-identifiers

List out all of the identifiers that are attached to DSRs. These may be the emails, coreIdentifiers, phone numbers, user IDs, advertising IDs and more.

Authorization

Transcend_API_Key View the Request Compilation
headerAuthorizationBearer <token>

authorization: Bearer <>

Scope: View the Request Compilation

Header Parameters

authorization*string

An API key generated from the Transcend dashboard: https://app.transcend.io/infrastructure/api-keys.

x-sombra-authorization?string

The Sombra internal key. This header is only needed for self-hosted Sombra gateways. See https://docs.transcend.io/docs/dsr-automation/api-integration/authentication#authenticating-to-sombra

content-type*string

Specify content-type: application/json for a JSON response from the Transcend API.

Matchapplication-json

Request Body

application/json
  1. body
requestId*string

The UUID of the request to fetch request identifiers for

Formatuuid
identifierNames?array<string>

The names of the identifiers to fetch. If not provided, all identifiers will be fetched.

first?number

The number of results to return on this page. Defaults to 10, maximum is 2000.

offset?number

The offset to use while paginating.

Response Body

Returns a list of request identifiers

application/json
  1. response
identifiers*array<>
curl -X POST 'https://multi-tenant.sombra.transcend.io/v1/request-identifiers' \  -H 'authorization: string' \  -H 'content-type: string' \  -H 'Content-Type: application/json' \  -d '{  "first": 100,  "requestId": "96946f0d-6453-4d52-9d66-d5f2089acbc1"}'
Example Response
{  "identifiers": [    {      "id": "7f21c58b-53c9-483e-84c2-40284cdd28ae",      "value": "no-track@example.com",      "name": "email",      "type": "email"    },    {      "id": "c8f600ea-917f-4e02-95d4-af475d3e07ec",      "value": "another@example.com",      "name": "email",      "type": "email"    },    {      "id": "cf2ad7bc-ea08-4e19-b167-4ef24c3770cd",      "value": "myusernameslug",      "name": "coreIdentifier",      "type": "coreIdentifier"    },    {      "id": "b1981873-f3e6-4fc8-9713-64b1c7cdc5ef",      "value": "+16126883289",      "name": "phone",      "type": "phone"    },    {      "id": "6bdd20f6-5019-4d64-a9b4-0ea5111b94d3",      "value": "38400000-8cf0-11bd-b23e-10b96e40000d",      "name": "gaid",      "type": "gaid"    },    {      "id": "62e2fadd-6331-4ae0-a72b-52d61f27769c",      "value": "myusernameslug",      "name": "user_id",      "type": "custom"    }  ]}